# I3DExMiniModeler Struct Reference
[External Interfaces]

Inheritance diagram for I3DExMiniModeler:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | CreateMiniModelerUI (IMFPart **UIPart, IMCUnknown *inElement, IMFDocument *inDocument)=0
virtual MCCOMErr MCCOMAPI | CleanUp ()=0
virtual boolean MCCOMAPI | CanModify (IMFResponder *inSource, int32 inMessage)=0
virtual boolean MCCOMAPI | HandleUIPartHit (IMFPart *inTopPart, int32 inMessage, IMFResponder *inSource, void *inData)=0

## Detailed Description

This interface provide a way to edit the parameter of a primitive that are not part of its pmap without opening the corresponding modeler. If a modeler support this interface, the part created by CreateMiniModelerUI will be displayed in the assemble room.

## Member Function Documentation

virtual boolean MCCOMAPI I3DExMiniModeler::CanModify | ( | IMFResponder * | inSource,
|  | int32 | inMessage |
| ) |  |  | `[pure virtual]`

Returns true if the passed source can modify the primitive with the passed message. If true is returned, HandleUIPartHit will then be called to handle the modification, if false is returned, HandleUIPartHit won't be called.

Parameters:

  | inSource,: | the part to check
  | inMessage | the message id.

Returns:
  True if the part can modify the primitive.

virtual MCCOMErr MCCOMAPI I3DExMiniModeler::CleanUp | ( |  | ) | `[pure virtual]`

Should remove and destroy all the parts created in CreateMiniModeler

Returns:
  MC_S_OK if OK

virtual MCCOMErr MCCOMAPI I3DExMiniModeler::CreateMiniModelerUI | ( | IMFPart ** | UIPart,
|  | IMCUnknown * | inElement,
|  | IMFDocument * | inDocument |
| ) |  |  | `[pure virtual]`

Create a custom part to modify the element passed

Parameters:

  | UIPart | The part to be created.
  | inElement | The primitive to be edited by the modeler.
  | inDocument | The current document.

Returns:
  MC_S_OK if OK

virtual boolean MCCOMAPI I3DExMiniModeler::HandleUIPartHit | ( | IMFPart * | inTopPart,
|  | int32 | inMessage,
|  | IMFResponder * | inSource,
|  | void * | inData |
| ) |  |  | `[pure virtual]`

Implement this method to modify the primitive according to the part modification.

Parameters:

  | inTopPart,: | the top part
  | inMessage,: | message id
  | inSource,: | the part where the message comes from
  | inData,: | data

Returns:
  False if the message is handled, true otherwise

The documentation for this struct was generated from the following file:

- I3dExMiniModeler.h